from libqtile import layout
from libqtile.config import Match

from defines import focus_color, border_width, window_margin

layouts = [
    layout.MonadTall(
        align=1,
        border_focus = focus_color,
        border_width =  border_width, 
        margin=window_margin,
        new_client_position = 'after_current',
          ),
    layout.Floating(
        border_focus = focus_color,
        border_width =  border_width, 
        margin=window_margin,
    ),
    layout.Max(),
    layout.MonadWide(
        border_focus = focus_color,
        border_width =  border_width, 
        new_client_position = 'after_current',
        margin=window_margin,
    ),
    layout.Columns(
        border_focus = focus_color,
        border_width = border_width,
        num_columns = 3,
        margin = window_margin,
        )
]

floating_layout = layout.Floating(
    border_focus = focus_color,
    border_width =  border_width, 
    float_rules=[
    # Run the utility of `xprop` to see the wm class and name of an X client.
    *layout.Floating.default_float_rules,
    Match(wm_class='confirmreset'),  # gitk
    Match(wm_class='makebranch'),  # gitk
    Match(wm_class='maketag'),  # gitk
    Match(title='branchdialog'),  # gitk
    Match(title='pinentry'),  # GPG key password entry
    Match(wm_class='ssh-askpass'),  # ssh-askpass
    Match(wm_class='sun-awt-X11-XWindowPeer'), #matlab
    Match(wm_class='sun-awt-X11-XDialogPeer'), #matlab
    Match(wm_class='Nitrogen'),
])
